{% extends 'base.html' %}

{% block section %}
<h1 class="mb-5 mt-3">{% block title %} {{ operation }} ingredient {% endblock %}</h1>
	{% if not entries_available %}
		<div class="alert alert-danger" role="alert">Cannot add ingredient: ingredient limit reached ({{ num_ingredients }})</div>
	{% endif %}
	<form action="{{ url_for('ingredients.add') }}" method="post">
		{{ ingredient_form.csrf_token }}
		<section class="border container mb-5 text-start">
			<div class="mb-3 mt-2 row">
				<div class="col w-50">
					{% if ingredient_form.ingredient_name.errors %}
						<div class="is-invalid">
							<div class="input-group">
								<div class="input-group-text"><strong>{{ ingredient_form.ingredient_name.label }}</strong></div>
								{{ ingredient_form.ingredient_name(class_="form-control is-invalid") }}
							</div>
							<ul class="errors list-group">
								{% for error in ingredient_form.ingredient_name.errors %}
									<li class="list-group-item form-check text-danger">{{ error }}</li>
								{% endfor %}
							</ul>
						</div>
					{% else %}
						<div class="input-group">
							<div class="input-group-text"><strong>{{ ingredient_form.ingredient_name.label }}</strong></div>
							{{ ingredient_form.ingredient_name(class_="form-control") }}
						</div>
					{% endif %}
				</div>
				<div class="col w-50">
					{% if ingredient_form.ingredient_category.errors %}
							<div class="is-invalid">
							<div class="input-group">
								<div class="input-group-text"><strong>{{ ingredient_form.ingredient_category.label }}</strong></div>
								{{ ingredient_form.ingredient_category(class_="form-control is-invalid") }}
							</div>
							<ul class="errors list-group">{% for error in ingredient_form.ingredient_category.errors %}<li class="list-group-item form-check text-danger">{{ error }}</li>{% endfor %}</ul>
						</div>
					{% else %}
						<div class="input-group">
							<div class="input-group-text"><strong>{{ ingredient_form.ingredient_category.label }}</strong></div>
							{{ ingredient_form.ingredient_category(class_="form-control") }}
						</div>
					{% endif %}
				</div>
			</div>
			<div class="mb-3 mt-2 row">
				<div class="mb-3 row">
					<div class="col">
						{% if ingredient_form.ingredient_amount.errors %}
							<div class="is-invalid">
								<div class="input-group">
									<div class="input-group-text font-monospace text-end"><strong>{{ ingredient_form.ingredient_amount.label }}</strong></div>
									{{ ingredient_form.ingredient_amount(class_="form-control is-invalid font-monospace text-end") }}
								</div>
							</div>
							<ul class="errors list-group">{% for error in ingredient_form.ingredient_amount.errors %}<li class="list-group-item form-check text-danger">{{ error }}</li>{% endfor %}</ul>
					{% else %}
							<div class="input-group">
								<div class="input-group-text"><strong>{{ ingredient_form.ingredient_amount.label }}</strong></div>
								{{ ingredient_form.ingredient_amount(class_="form-control font-monospace text-end") }}
							</div>
						{% endif %}
					</div>
				<div class="col">
					{% if ingredient_form.ingredient_unit.errors %}
						<div class="is-invalid">
							<div class="input-group">
								<div class="input-group-text"><strong>{{ ingredient_form.ingredient_unit.label }}</strong></div>
								{{ ingredient_form.ingredient_unit(class_="form-control is-invalid col") }}
							</div>
							<ul class="errors list-group">{% for error in ingredient_form.ingredient_unit.errors %}
								<li class="list-group-item"><div class="text-danger">{{ error }}</div></li>{% endfor %}</ul>
						</div>
					{% else %}
						<div class="input-group">
							<div class="input-group-text"><strong>{{ ingredient_form.ingredient_unit.label }}</strong></div>
							{{ ingredient_form.ingredient_unit(class_="form-control") }}
						</div>
					{% endif %}
				</div>
				<div class="col">
					{% if ingredient_form.ingredient_price.errors %}
						<div class="is-invalid">
							<div class="input-group">
								<div class="input-group-text"><strong>{{ ingredient_form.ingredient_price.label }}</strong></div>
								<span class="input-group-text">$</span>
								{{ ingredient_form.ingredient_price(class_="form-control is-invalid font-monospace text-end") }}
							</div>
							<ul class="errors list-group">{% for error in ingredient_form.ingredient_price.errors %}<li class="list-group-item form-check text-danger">{{ error }}</li>{% endfor %}</ul>
						</div>
					{% else %}
						<div class="input-group">
							<div class="input-group-text"><strong>{{ ingredient_form.ingredient_price.label }}</strong></div>
							<span class="input-group-text">$</span>
							{{ ingredient_form.ingredient_price(class_="form-control font-monospace text-end") }}
						</div>
					{% endif %}
				</div>
			</div>
			<div class="mb-3 mt-2 row">
				<div class="col">
					{% if ingredient_form.ingredient_manufacturer.errors %}
						<div class="is-invalid">
							<div class="input-group">
								<div class="input-group-text"><strong>{{ ingredient_form.ingredient_manufacturer.label }}</strong></div>
								{{ ingredient_form.ingredient_manufacturer(class_="form-control is-invalid") }}
							</div>
							<ul class="errors list-group">{% for error in ingredient_form.ingredient_manufacturer.errors %}<li class="list-group-item form-check text-danger">{{ error }}</li>{% endfor %}</ul>
						</div>
					{% else %}
						<div class="input-group">
							<div class="input-group-text"><strong>{{ ingredient_form.ingredient_manufacturer.label }}</strong></div>
							{{ ingredient_form.ingredient_manufacturer(class_="form-control") }}
						</div>
					{% endif %}
				</div>
				<div class="col">
					{% if ingredient_form.ingredient_name.errors %}
						<div class="is-invalid">
							{{ ingredient_form.ingredient_vendor.label }}
							{{ ingredient_form.ingredient_vendor(class_="form-control is-invalid") }}
							<ul class="errors list-group">{% for error in ingredient_form.ingredient_vendor.errors %}<li class="list-group-item form-check text-danger">{{ error }}</li>{% endfor %}</ul>
						</div>
					{% else %}
						<div class="input-group">
							<div class="input-group-text"><strong>{{ ingredient_form.ingredient_vendor.label }}</strong></div>
							{{ ingredient_form.ingredient_vendor(class_="form-control") }}
						</div>
					{% endif %}
				</div>
			</div>
		</section>
		<button type="button" class="btn btn-secondary" onclick="javascript:history.back()">Cancel</button>
		<button type="submit" class="btn btn-primary">{{ "Add" if "Add" == operation else "Save" }}</button>
	</form>
{% endblock %}
